Skip to main content

Manage Partner Links (Multiple Accounts)

POST 

/client/users/:correlation_id/partners/:partner_id/links

Allows external client to create one or more links to a single loyalty program for one or more accounts.

Note: If there is an integration to send email notifications to the member based on partner linking/unlinking, those notifications will only be sent when the first card is linked and when the last card is unlinked.

Request

Body

See example Request below to view hierarchy.

AttributeDefinitionFormatNotes
PAYMENT_CARDLink-type mapObjectNote that this may be a different value for other link-type maps
add, remove, or updateType of operation on cardEnum: "add", "remove", or "update"This array contains detailed information about each unprocessed record for this action
accountIdUnique loyalty account identifierStringGUID format
linkIdExternal identifierStringRequired, needed to attempt a link. For instance, hashed payment card.
binBank identification numberNumber, 6 digitsOptional
last4Last 4 digits of the card numberNumber, 4 digitsRequired. Will not accept less or more than four digits.
metadataAdditional information about cardObjectOptional, contains additional information such as cardType and cardHolderType
cardTypeCard typeString"D" = debit, "C" = credit
cardholderTypeCard holder typeEnum: "Retail" or "Business"

Response

View example response to see hierarchy.

AttributeDefinitionFormatNotes
PAYMENT_CARDLink-type mapObject
successNumber of items that were successful processed from the requestNumber
unprocessedNumber of items that were not successfully processedNumber
unprocessedItemsReturns information about each item that was not processedObjectContains fields below
{{operation}}Type of operation on cardEnum: "add", "remove", or "update"Array contains detailed information about unprocessed records
accountIdUnique loyalty account identifierStringGUID format
linkIdExternal identifierStringRequired. For instance, hashed payment card.
binBank identification numberNumber, 6 digitsOptional
last4Last 4 digits of the card numberNumber, 4 digitsRequired
metadataAdditional information about cardObjectOptional
cardTypeCard typeString"D" = debit, "C" = credit
cardholderTypeCard holder typeEnum: "Retail" or "Business"
reasonCodeCode for an update failureEnum: "LINK_LIMIT_MET", "DUPLICATE_REQUEST", "DUPLICATE_LINK", "LAST_4_REQUIRED", "INVALID_ACCOUNT", or "UNSUPPORTED_LINK_TYPE", "ACCOUNT_STATUS_IS_CLOSED"
reasonMessageDetailed explanation of the reason for an update failureStringFor example: "The provided account id does not exist."

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 - Bad RequestRequest was malformedMALFORMED_REQUESTThe format of the request was not correct. Check for syntax errors.
400 - Bad RequestCannot do more than 25 operation in a single request, you requested {{operations}}.EXCEEDED_MAXIMUM_OPERATIONSBreak operations into multiple calls.
404 - Not FoundPartner {{partner_id}} cannot be found.INVALID_PARTNER_IDThe partner ID provided in the request is not valid.
404 - Not FoundAccount {{account_id}} cannot be linked.CANNOT_LINKAn unregistered (ghost) account cannot be linked to a partner.

Request

Responses

200 - Maximum Failures